package com.lanyuanxiaoyao.service.cli.runner;

import com.lanyuanxiaoyao.service.cli.core.HostInfo;
import com.lanyuanxiaoyao.service.cli.core.RuntimeInfo;
import com.lanyuanxiaoyao.service.cli.core.ServiceInfo;
import java.util.List;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 配置
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-17
 */
@ConfigurationProperties("deploy")
@Component
public class DeployInformationProperties {
    private Boolean shuffler = false;
    private RuntimeInfo runtime;
    private List<HostInfo> hosts;
    private List<ServiceInfo> services;

    public Boolean getShuffler() {
        return shuffler;
    }

    public void setShuffler(Boolean shuffler) {
        this.shuffler = shuffler;
    }

    public RuntimeInfo getRuntime() {
        return runtime;
    }

    public void setRuntime(RuntimeInfo runtime) {
        this.runtime = runtime;
    }

    public List<HostInfo> getHosts() {
        return hosts;
    }

    public void setHosts(List<HostInfo> hosts) {
        this.hosts = hosts;
    }

    public List<ServiceInfo> getServices() {
        return services;
    }

    public void setServices(List<ServiceInfo> services) {
        this.services = services;
    }

    @Override
    public String toString() {
        return "DeployInformationProperties{" +
                "shuffler=" + shuffler +
                ", runtime=" + runtime +
                ", hosts=" + hosts +
                ", services=" + services +
                '}';
    }
}
